gdcm::DPath Class Reference

class to handle a DICOM path While supp 118 did introduced a notion of XPath for XML Native model this convention is too XML-centric. Instead prefer DCMTK style notation https://groups.google.com/g/comp.protocols.dicom/c/IyIH0IOBMPA More...

`#include <gdcmDPath.h>`

## Public Member Functions

| DPath ()
| ~DPath ()
bool | ConstructFromString (const char *path)
bool | Match (DPath const &other) const
| Return whether or not 'other' match the template DPath.
bool | operator< (const DPath &rhs) const
void | Print (std::ostream &) const

## Static Public Member Functions

static bool | IsValid (const char *path)
| Return if path is valid or not.

## Friends

std::ostream & | operator<< (std::ostream &_os, const DPath &_val)

## Detailed Description

class to handle a DICOM path While supp 118 did introduced a notion of XPath for XML Native model this convention is too XML-centric. Instead prefer DCMTK style notation https://groups.google.com/g/comp.protocols.dicom/c/IyIH0IOBMPA

## Constructor & Destructor Documentation

## DPath()

gdcm::DPath::DPath | ( |  | ) |

Referenced by Match(), operator<(), and operator<<.

## ~DPath()

gdcm::DPath::~DPath | ( |  | ) |

## Member Function Documentation

## ConstructFromString()

bool gdcm::DPath::ConstructFromString | ( | const char * | path | ) |

Examples
  Cleaner.cs.

## IsValid()

bool gdcm::DPath::IsValid | ( | const char * | path | ) |

static

Return if path is valid or not.

## Match()

bool gdcm::DPath::Match | ( | DPath const & | other | ) | const

Return whether or not 'other' match the template DPath.

References DPath().

## operator<()

bool gdcm::DPath::operator< | ( | const DPath & | rhs | ) | const

References DPath().

## Print()

void gdcm::DPath::Print | ( | std::ostream & |  | ) | const

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | _os,
|  | const DPath & | _val )

friend

References DPath().

The documentation for this class was generated from the following file:

- gdcmDPath.h